[Bug 286119] Re: firefox 3.0.3 crashes (no SIG) on most pages w images: 8.10beta AMD64

Alexander Sack asac at jwsdot.com
Fri Feb 6 17:46:50 UTC 2009


On Fri, Feb 06, 2009 at 06:38:55AM -0000, Kunjan Shah wrote:
> Either this bug is not related to samba or their are multiple unrelated
> bugs. On my amd64 box with kubuntu (all latest updates applied) firefox
> reliably crashes on this page:
> 
> http://code.google.com/android/reference/adb.html
> Click on "Issuing ADB commands" crashes firefox and the following is printed on the console.
> 
> $ firefox
> QPixmap: Invalid pixmap parameters
> The program 'firefox' received an X Window System error.
> This probably reflects a bug in the program.
> The error was 'BadAlloc (insufficient resources for operation)'.
>   (Details: serial 38913 error_code 11 request_code 53 minor_code 0)
>   (Note to programmers: normally, X errors are reported asynchronously;
>    that is, you will receive the error a while after causing it.
>    To debug your program, run it with the --sync command line
>    option to change this behavior. You can then get a meaningful
>    backtrace from your debugger if you break on the gdk_x_error() function.)
> Locking assertion failure.  Backtrace:
> #0 /usr/lib/libxcb-xlib.so.0 [0x7f0fdb3669fc]
> #1 /usr/lib/libxcb-xlib.so.0(xcb_xlib_lock+0x17) [0x7f0fdb366b77]
> #2 /usr/lib/libX11.so.6 [0x7f0fddc5b8c0]
> #3 /usr/lib/libXrender.so.1(XRenderFreePicture+0x46) [0x7f0fddf1ea26]
> #4 /usr/lib/libQtGui.so.4 [0x7f0fd35e8cfb]
> #5 /usr/lib/libQtGui.so.4 [0x7f0fd35e9680]
> #6 /usr/lib/libQtGui.so.4(_ZN7QPixmap5derefEv+0x53) [0x7f0fd35defa3]
> #7 /usr/lib/libQtGui.so.4(_ZN7QPixmapD1Ev+0x24) [0x7f0fd35df2e4]


try to uninstall the gtk-qt-engine. Most likely this fixes the
crash. Let us know if thats the case and give us instructions how to
reproduce so we can reassign this to the appropriate package.

Thanks!

 - Alexander

-- 
firefox 3.0.3 crashes (no SIG) on most pages w/ images when using nss_wins: 8.10beta AMD64
https://bugs.launchpad.net/bugs/286119
You received this bug notification because you are a member of Mozilla
Bugs, which is subscribed to firefox-3.0 in ubuntu.




More information about the Ubuntu-mozillateam-bugs mailing list